Summary:    Classic-analog style software synthesizer
Name:       xsynth-dssi
Version:    0.9.4
Release:    1%{?dist}
License:    GPLv2+
Group:      Applications/Multimedia
URL:        http://dssi.sourceforge.net/download.html#Xsynth-DSSI
Source0:    http://download.sf.net/dssi/%{name}-%{version}.tar.gz
Source1:    http://download.sf.net/dssi/%{name}-%{version}-RELEASE
Source2:    %{name}.desktop
# Derived from src/bitmap_logo.xbm
Source3:    %{name}.png
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: alsa-lib-devel
BuildRequires: desktop-file-utils
BuildRequires: dssi-devel
BuildRequires: gtk2-devel
BuildRequires: liblo-devel

Requires:   dssi

%description
Xsynth-DSSI is a classic-analog (VCOs-VCF-VCA) style software synthesizer which
operates as a plugin for the DSSI Soft Synth Interface.  DSSI is a plugin API
for software instruments (soft synths) with user interfaces, permitting them to
be hosted in-process by audio applications.

%prep
%setup -q

cp -a %{SOURCE1} .

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT" INSTALL="install -p"

# Make a symlink for easy access
mkdir -p $RPM_BUILD_ROOT%{_bindir}
ln -s jack-dssi-host $RPM_BUILD_ROOT%{_bindir}/%{name}

# Kill .la file
rm $RPM_BUILD_ROOT%{_libdir}/dssi/%{name}.la

# Desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install                              \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
  %{SOURCE2}

# Icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -pm 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README TODO COPYING *-RELEASE
%{_bindir}/%{name}
%{_libdir}/dssi/%{name}/
%{_libdir}/dssi/%{name}.so
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Sun Sep 26 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.9.4-1
- Update to 0.9.4

* Tue Jul 20 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.9.2-4
- Rebuild against new liblo-0.26

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 04 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.9.2-2
- Add icon cache scriptlet

* Sat May 30 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.9.2-1
- Initial build
